#include <Wire.h> //Needed for I2C to GPS

#include "SparkFun_Ublox_Arduino_Library.h" //http://librarymanager/All#SparkFun_u-blox_GNSS
SFE_UBLOX_GPS myGPS;

long lastTime = 0; //Simple local timer. Limits amount if I2C traffic to Ublox module.
long Lat = 0;
long Long = 0;
/*-----------------------------------------------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------BNO080--------------------------------------*/
//#include <Wire.h>      DEJA MIS PLUS HAUT POUR LE GPS

#include "SparkFun_BNO080_Arduino_Library.h" // Click here to get the library: http://librarymanager/All#SparkFun_BNO080
BNO080 myIMU;
float CapBNO = 0;
float yaw = 0;
/*-----------------------------------------------------------------------------------------------------------------------------------------------*/

void setup()
{
  
/*---------------------------------------------------------------------------------------------------GPS-----------------------------------------*/
  Serial.begin(9600);
  while (!Serial); //Wait for user to open terminal
  Serial.println("SparkFun Ublox Example");

  Wire.begin();

  if (myGPS.begin() == false) //Connect to the Ublox module using Wire port
  {
    Serial.println(F("Ublox GPS not detected at default I2C address. Please check wiring. Freezing."));
    while (1);
  }
/*-----------------------------------------------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------BNO080--------------------------------------*/
  //Serial.begin(9600);
  Serial.println();
  Serial.println("BNO080 Reading");

 // Wire.begin();

  if (myIMU.begin() == false)
  {
    Serial.println(F("BNO080 not detected at default I2C address. Check your jumpers and the hookup guide. Freezing..."));
    while (1)
      ;
  }

  Wire.setClock(400000); //Increase I2C data rate to 400kHz

  myIMU.enableRotationVector(50); //Send data update every 50ms

  Serial.println(F("Rotation vector enabled"));
  Serial.println(F("Output in form roll, pitch, yaw"));
/*-----------------------------------------------------------------------------------------------------------------------------------------------*/

}

void loop()
{

    
  CapBNO = capcompas();
  Serial.print("   -  Cap BNO080 : ");
  Serial.println(CapBNO);
  
  if(millis()-lastTime>1000){
    Lat = latitude();
    Serial.print("Latitude : ");
    Serial.print(Lat);

    Long = longitude();
    Serial.print("   -  Longitude : ");
    Serial.print(Long);
    lastTime = millis();
    }
  

}





//---------------------------------------------------------------------------------------------------------LATITUDE

long latitude()
{
    long latitude = myGPS.getLatitude();
    return latitude;
}

//-----------------------------------------------------------------------------------------------------------------
//---------------------------------------------------------------------------------------------------------LONGITUDE

long longitude()
{
    long longitude = myGPS.getLongitude();
    return longitude;
}

//-----------------------------------------------------------------------------------------------------------------
//------------------------------------------------------------------------------------------------CAP COMPAS BNO080
float capcompas() { //check compass to see current heading
 // Serial.print("FONCTION capcompas  ");

if (myIMU.dataAvailable() == true)
  {
      yaw = (myIMU.getYaw()) * 180.0 / PI; // Convert yaw / heading to degrees

  }
  return yaw;
  
}
//-------------------------------------------------------------------------------------------------------------------
